let currentSlide = 0;
let slides = document.getElementsByClassName("slides");

function showSlides() {
    for (let i = 0; i < slides.length; i++) {
        slides[i].classList.remove('fade-in'); // Remove fade-in from all slides
        slides[i].classList.add('fade-out');   // Add fade-out to all slides
    }

    currentSlide++;

    if (currentSlide > slides.length) {
        currentSlide = 1;
    }

    slides[currentSlide - 1].classList.remove('fade-out'); // Remove fade-out from current slide
    slides[currentSlide - 1].classList.add('fade-in');     // Add fade-in to current slide

    setTimeout(showSlides, 4000); // Change slide every 4 seconds
}

// Initially show the first slide
setTimeout(() => {
    slides[0].classList.add('fade-in');
}, 100);

// Start the slideshow
showSlides();
